
(*
 * tm - simple replacement for Norton's TM utility
 * S.H.Smith, 29-jan-89; public domain material.
 *
 *)

{$m 2000,0,0}
{$r-}

uses DOS;

procedure p2(c: char; n: integer);
begin
   write(c);
   if n < 10 then
      write('0');
   write(n);
end;

const
   days: array[0..6] of string[3] = ('Sun','Mon','Tue','Wed','Thu','Fri','Sat');

var
   i:    integer;
   par:  string;
   msg:  string;
   left: boolean;
   h,m,s,s100: word;
   d,y,dw:     word;

begin
   if paramcount = 0 then
   begin
      writeln('TM 1.0, Samuel H. Smith, Public domain material.');
      writeln('Usage: TM [/LOG] [/L] [''message''] [>outfile]');
      halt(1);
   end;

   left := false;
   msg := '';
   for i := 1 to paramcount do
   begin
      par := paramstr(i);

      if par[1] = '/' then
      begin
         if (par = '/L') or (par = '/l') then
            left := true;
      end
      else

      if (par = 'start') or (par = 'stop') or (par = 'report') or
         (par = 'START') or (par = 'STOP') or (par = 'REPORT') then
      else

      if (par[1] = '''') or (par[1] = '"') then
         msg := par
      else
         msg := msg + ' ' + par;
  end;


   if (msg[1] = '"') or (msg[1] = '''') then
      msg := copy(msg,2,length(msg)-2);

   if left then
      while length(msg) < 56 do
         msg := msg + ' ';

   write(msg:56);

   GetTime(h,m,s,s100);
   p2(' ',h); p2(':',m); p2(':',s);

   GetDate(y,m,d,dw);
   write(', ',days[dw]);
   p2(' ',m); p2('-',d); p2('-',y-1900);

   writeln;
end.

